%define name esmtp
%define version 0.2
%define release 3mdk

Summary: 	User configurable relay-only Mail Transfer Agent (MTA)
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		http://esmtp.sourceforge.net
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Networking/Mail
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	libesmtp
BuildRequires:	libesmtp-devel


%description

ESMTP is a user configurable relay-only Mail Transfer Agent (MTA) with a
sendmail-compatible syntax. It's based on libESMTP supporting the AUTH
(including the CRAM-MD5 and NTLM SASL mechanisms) and the StartTLS SMTP
extensions.

So these are ESMTP features:

 * requires no administration privileges
 * individual user configuration
 * sendmail command line compatible
 * supports the AUTH SMTP extension, with the CRAM-MD5 and NTLM SASL
   mechanisms
 * support the StartTLS SMTP extension
 * does not receive mail, expand aliases or manage a queue


%prep
%setup -q


%build
%configure
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d $RPM_BUILD_ROOT%_sbindir


%post
# sendmail-alternatives
update-alternatives --install %{_sbindir}/sendmail sendmail %_bindir/%name 20

%postun
# sendmail-alternatives
if [ "$1" = "0" ]; then
	update-alternatives --remove sendmail %{_sbindir}/sendmail
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS README README.mutt TODO ChangeLog sample.esmtprc
%_bindir/%name
%_mandir/man1/%name.1.bz2


%changelog
* Fri Dec 27 2002 Han Boetes <han@linux-mandrake.com> 0.2-3mdk
- rebuild because of new rpm macros and new glibc

* Wed Dec 11 2002 Han Boetes <han@mijncomputer.nl> 0.2-2mdk
- Use alternative instead of provides, as suggested by B.Reser

* Sun Dec  8 2002 Han Boetes <han@linux-mandrake.com> 0.2-1mdk
- Initial Release for Mandrake
